反过来,我们也可以使用“按ID选择”,输入ID在Revit中选中相应的物体。如果要选中多个物体,同样可以用逗号分隔,一次输入多个ID。 我们知道,Revit中除了普通的工作视图,其它视图里也可以对图元进行操作,典型的如明细表视图。其实,在明细表视图中选中一行,等于是选中了对应的图元。 在Dynamo中,我们有Element.Id运算器,可...
Level level = view.GenLevel; ElementId levelId = view.GenLevel.Id; wallList = wallList.FindAll(p => p.LevelId == levelId); if (wallList.Count > 0) { List<Wall> tempWallList = new List<Wall>(); double distance = 5; List<Curve> curveList = wallList.Select(p => p.GetLocatio...
1 review OS: Language: Description This tool will extract all the element IDs from all Autodesk® Revit® elements and store them in a shared parameter called "Element_ID" under each element. This will help in coordination and other purposes. ...
ToElementIds() - 获取匹配过滤器的第一个图元或图元ID。Obtain the first Element or ElementId tha...
ElementId levelUpId = null; //获取当当前楼层上一层标高Id double floorHeightDown = 0; //获取当前楼层标高数值 //double floorHeightUp = 0; //获取当前楼层上一层标高数值 foreach (Level l in levelType) { if (l.Name == levelStr)
Element elem = doc.get_Element(id); if(elemisWall) { if(reference.Proximity < (beamLen + tolerate))//Proximity接近,即与射线原点的距离。 { sel.Elements.Add(elem); } } } trans.Commit(); returnResult.Succeeded; } } url:http://greatverve.cnblogs.com/p/FindReferencesWithContextByDirection....
new FilteredElementCollector(doc) .OfClass(typeof(GenericForm)) .Cast<GenericForm>() .Where(q => q.Subcategory.Id == form.Subcategory.Id) .Select(q => q.Id)); } uidoc.Selection.SetElementIds(sameSc); } For Joel who said “I’d love to have a button to turn off annotations fo...
Wall newWall = Wall.Create(document, wallLine, level.Id, true); // Find a Window type for the new windows FilteredElementCollector winCollector = new FilteredElementCollector(document); IList<Element> windowTypes = winCollector.OfCategory(BuiltInCategory.OST_Windows).WhereElementIsElementType().To...
6、FindMergeableClusters查找指定元素的子部件 publicstaticIList<ICollection<ElementId>>FindMergeableClusters( Document doc, ICollection<ElementId>partIds ) 7、GetAssociatedPartMaker获取指定元素关联的部件集合 publicstaticPartMaker GetAssociatedPartMaker( ...
Parameter name: Head position of the tag with no leader could not be located outside of the host element." Your known issues page says something about Room, Space and Area tags with a leader need a double click be aligned. I would like to do this without a leader on the room tag. ...